| 1.0.2 API documentation

Functions
GLM_GTX_polar_coordinates
Experimental extensions

## Functions
template<typename T , qualifier Q>
GLM_FUNC_DECL vec< 3, T, Q > | euclidean (vec< 2, T, Q > const &polar)
| Convert Polar to Euclidean coordinates. More...
template<typename T , qualifier Q>
GLM_FUNC_DECL vec< 3, T, Q > | polar (vec< 3, T, Q > const &euclidean)
| Convert Euclidean to Polar coordinates, x is the latitude, y the longitude and z the xz distance. More...

## Detailed Description

Include <glm/gtx/polar_coordinates.hpp> to use the features of this extension.

Conversion from Euclidean space to polar space and revert.

## Function Documentation

## ◆ euclidean()

GLM_FUNC_DECL vec<3, T, Q> glm::euclidean | ( | vec< 2, T, Q > const & | polar | ) |

Convert Polar to Euclidean coordinates.

See also
  GLM_GTX_polar_coordinates

## ◆ polar()

GLM_FUNC_DECL vec<3, T, Q> glm::polar | ( | vec< 3, T, Q > const & | euclidean | ) |

Convert Euclidean to Polar coordinates, x is the latitude, y the longitude and z the xz distance.

See also
  GLM_GTX_polar_coordinates